package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Constante;
import com.rjconsultores.ventaboletos.entidad.TrayectosExpresos;
import com.rjconsultores.ventaboletos.entidad.Usuario;
import com.rjconsultores.ventaboletos.service.ConstanteService;
import com.rjconsultores.ventaboletos.service.UsuarioService;
import com.rjconsultores.ventaboletos.utilerias.DateUtil;
import com.rjconsultores.ventaboletos.web.utilerias.spring.AppContext;

public class RenderSeguimientoExpresos implements ListitemRenderer {
	
	public RenderSeguimientoExpresos() {
		super();
	}
	
	@Override
	public void render(Listitem item, Object data) throws Exception {
		TrayectosExpresos expresos = (TrayectosExpresos) data;
		
		Listcell lc = new Listcell(expresos.getSolicitudExpresoId().getSolicitudExpresoId().toString()); //# solicitud
		lc.setParent(item);
		
		lc = new Listcell(DateUtil.getStringDate(expresos.getSolicitudExpresoId().getFechaSolicitud(), "dd/MM/yyyy")); //Fecha solicitud
		lc.setParent(item);
		
		lc = new Listcell(expresos.getSolicitudExpresoId().getCiudadOrigen().getNombciudad() + " - " + expresos.getSolicitudExpresoId().getCiudadDestino().getNombciudad()); //Ruta
		lc.setParent(item);
		
		lc = new Listcell(expresos.getSolicitudExpresoId().getIndViajeRedondo() == true ? Labels.getLabel("expressosPorCotizarController.lhIdaRegreso.label") : Labels.getLabel("expresosController.lbl.idaVuelta")); //Ruta
		lc.setParent(item);
		
		lc = new Listcell(DateUtil.getStringDate(expresos.getSolicitudExpresoId().getFechaHoraIda()), "dd/MM/yyyy hh:mm:ss"); //Fecha salida
        lc.setParent(item);
        
        lc = new Listcell(DateUtil.getStringDate(expresos.getSolicitudExpresoId().getFechaHoraRegreso()), "dd/MM/yyyy hh:mm:ss"); //Fecha salida
        lc.setParent(item);
        
        lc = new Listcell(expresos.getSolicitudExpresoId().getDescSitioPartidaIda());
        lc.setParent(item);
        
        lc = new Listcell(expresos.getSolicitudExpresoId().getDescSitioPartidaRegreso());
        lc.setParent(item);
        
        lc = new Listcell(expresos.getNumPlaca() == null ? "N/A" : expresos.getNumPlaca().toString()); //Placa
        lc.setParent(item);
        
        lc = new Listcell(expresos.getSolicitudExpresoId().getStatusSolicitudExpresoId().toString()); //Estado
		lc.setParent(item);
		
		lc = new Listcell(expresos.getSolicitudExpresoId().getDocContrato() != null ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(item);
		
		lc = new Listcell(expresos.getDocFluec() != null ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(item);
		
		lc = new Listcell(expresos.getSolicitudExpresoId().getDocListaPasajeros() != null ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(item);
        
        item.setAttribute("data", expresos);
	}
}
